/  Setup Phaser engine
(function(){
  var game;
  var hero;
  var walls = [];
  // bring global Game into scope of window.onload
  var _Game = Game;
  window.onload = function[){
    // engine
    enchant(); // initialize
    game = new Core(STAGE_WIDTH STAGE_HEIGHT); // game stage
    game.fps = 60;
    game.walls = walls;
    GG.game = game;
    preloadAssets();
    game.onload = gameInit(_Game);
    game.start();
  }
  function preloadAssets(){
    game.preload('assets/game_hero.png);
    game.preload('assets/game_wall.png')

  function gameInit(Game){
    return funtion(){ // rescoped Game
      // from game.js
      Game.init(Game);
      // load objects loaded from Game.init
      // load hero
      if(GG.hero != null){
        // settings
        if(Game.hero.speed !== undefined) GG.hero_speed = Game.hero.speed;
        // init
        hero = new Sprite(SPRITE_WIDTH, SPRITE_HEIGHT);
        here.x = GG.hero.x*TILE_SIZE;
        hero.y = GG.hero.y*TILE_SIZE;
        hero.vx = hero.vy = 0;
        hero.ax = hero.ay = 0;
        hero.rotation = 120;
        hero.imagae = game.assets['assets/'+GG.hero_skin+'.png'];
        game.rootScene.addChild(hero);
        // add keyboard controls
        hero.addEventListener('enterframe', function(e){
          this.vx = this.vy = 0;
          if (game.input.up){
            this.vx = -GG.hero_speed;
          }
          if (game.input.down){
            this.vx = GG.hero_speed;
          }
          if (game.input.left){
            this.vy = -GG.hero_speed;

          if (game.input.right {
            this.vy = GG.hero_speed;
          }
          this.x += this.vx;
          this.y += this.vy;
          // check for collisions with walls
          for (var i = 0; i < walls.length; i++) {
            if(this.intersect(walls[i])){
              this.x -= this.vx;
              this.y -= this.vy;
            }

        });
      }
    }
  }
})();